#!/bin/sh
#--------------------------------------------------------------
# This is the burnCDDA install script.
#
# burnCDDA is a shell script for burning Audio-CDs with cdrdao
# and cdrecord.
#
# (C) 2001 by Thorsten Muehlfelder <thenktor@gmx.de>
# burnCDDA comes with ABSOLUTELY NO WARRANTY.
# This is free software, and you are welcome to redistribute it
# under terms of the GNU General Public License as published
# by the Free Software Foundation.
#--------------------------------------------------------------

echo "burnCDDA (C) 2001, by Thorsten Muehlfelder"
echo "burnCDDA comes with ABSOLUTELY NO WARRANTY;"
echo "This is free software, and you are welcome"
echo "to redistribute it under certain conditions."
echo "Take a look at LICENSE for more information!"
echo ""
case $1 in

	-bo)
	echo "Only installing the burncdda script!"
	cp burncdda /usr/bin/
	exit 0
	;;

	*)
	;;
	
esac

echo "Installing files..."
cp burncdda /usr/bin/
cp burncdda.1.gz /usr/man/man1
if [ -e /etc/burncdda.conf ]; then
	echo "/etc/burncdda.conf --> /etc/burncdda.conf.old"
	mv /etc/burncdda.conf /etc/burncdda.conf.old
fi
cp burncdda.conf /etc/
echo ""
echo "Looking for required programms:"
echo ""
echo "Interface:"
whereis -b dialog
echo ""
echo "CD-Recording:"
whereis -b cdrecord
whereis -b cdrdao
echo ""
echo "Decoding:"
whereis -b mpg123
whereis -b oggdec
whereis -b mppdec
whereis -b flac
echo ""
echo "Conversion:"
whereis -b normalize
whereis -b sox
echo ""
echo "Checking:"
whereis -b mp3_check
whereis -b ogginfo
echo ""
echo ""
echo "Please edit /etc/burncdda.conf now!"
echo ""
